# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Tue Dec 10 03:29:54 2024
# ------------------------------------------------

package:
  name: ms2rescore-rs
  version: 0.2.0
source:
  sha256: 561ed92f58fd7ecccc78b3e4b1bc91ffa36d0f2e58d54f7ea317898f3ea55560
  url: https://pypi.io/packages/source/m/ms2rescore-rs/ms2rescore_rs-0.2.0.tar.gz
build:
  number: '2'
  run_exports:
    - ms2rescore-rs >=0.2.0,<0.3.0a0
  string: py311h284d45d_2
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.43 h4bf12b8_2
    - binutils_linux-64 2.43 h4852527_2
    - bzip2 1.0.8 h4bc722e_7
    - c-ares 1.34.3 hb9d3cd8_1
    - ca-certificates 2024.8.30 hbcca054_0
    - cmake 3.31.2 hf9cb763_0
    - gcc_impl_linux-64 13.3.0 hfea6d02_1
    - gcc_linux-64 13.3.0 hc28eda2_7
    - kernel-headers_linux-64 3.10.0 he073ed8_18
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - ld_impl_linux-64 2.43 h712a8e2_2
    - libcurl 8.10.1 hbbe4b11_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libexpat 2.6.4 h5888daf_0
    - libgcc 14.2.0 h77fa898_1
    - libgcc-devel_linux-64 13.3.0 h84ea5a7_101
    - libgcc-ng 14.2.0 h69a702a_1
    - libgomp 14.2.0 h77fa898_1
    - liblzma 5.6.3 hb9d3cd8_1
    - libnghttp2 1.64.0 h161d5f1_0
    - libsanitizer 13.3.0 heb74ff8_1
    - libssh2 1.11.1 hf672d98_0
    - libstdcxx 14.2.0 hc0a3c3a_1
    - libstdcxx-ng 14.2.0 h4852527_1
    - libuv 1.49.2 hb9d3cd8_0
    - libzlib 1.3.1 hb9d3cd8_2
    - make 4.4.1 hb9d3cd8_2
    - ncurses 6.5 he02047a_1
    - openssl 3.4.0 hb9d3cd8_0
    - rhash 1.4.5 hb9d3cd8_0
    - rust 1.83.0 h1a8d7c4_0
    - rust-std-x86_64-unknown-linux-gnu 1.83.0 h2c6d0dc_0
    - rust_linux-64 1.83.0 h9a957ce_1
    - sysroot_linux-64 2.17 h4a8ded7_18
    - tzdata 2024b hc8b5060_0
    - zstd 1.5.6 ha6fb4c9_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h4bc722e_7
    - ca-certificates 2024.8.30 hbcca054_0
    - ld_impl_linux-64 2.43 h712a8e2_2
    - libexpat 2.6.4 h5888daf_0
    - libffi 3.4.2 h7f98852_5
    - libgcc 14.2.0 h77fa898_1
    - libgcc-ng 14.2.0 h69a702a_1
    - libgomp 14.2.0 h77fa898_1
    - liblzma 5.6.3 hb9d3cd8_1
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.47.2 hee588c1_0
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 hb9d3cd8_2
    - maturin 1.7.8 py311h9b3a049_0
    - ncurses 6.5 he02047a_1
    - openssl 3.4.0 hb9d3cd8_0
    - pip 24.3.1 pyh8b19718_0
    - python 3.11.11 h9e4cc4f_1_cpython
    - python_abi 3.11 5_cp311
    - readline 8.2 h8228510_1
    - setuptools 75.6.0 pyhff2d567_1
    - tk 8.6.13 noxft_h4845f30_101
    - tomli 2.2.1 pyhd8ed1ab_1
    - tzdata 2024b hc8b5060_0
    - wheel 0.45.1 pyhd8ed1ab_1
    - zlib 1.3.1 hb9d3cd8_2
  run:
    - libgcc >=13
    - libzlib >=1.3.1,<2.0a0
    - python >=3.11,<3.12.0a0
    - python_abi 3.11.* *_cp311
  run_constrained:
    - __glibc >=2.17
test:
  commands:
    - pip check
  imports:
    - ms2rescore_rs
  requires:
    - pip
about:
  home: https://github.com/compomics/ms2rescore-rs
  license: Apache-2.0
  license_file: LICENSE
  summary: "Rust functionality for the MS\xB2Rescore package"
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - CompOmics
    - RalfG
